<template>
  <div class="public-bounced map-background" v-drag v-show="flag">
    <div class="public-bounced-title panel-title" ref="publicBounced">
      <span>{{ displayContentTitle }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left">
        <public-tabs :setSolidWaste="displayContentTab" :value="value"
                     :setWasteGasdata="setWasteGasdata" :setWasteWaterdata="setWasteWaterdata"></public-tabs>
        <div class="public-bounced-content-left-bottom">
          <public-table v-if="value === 'gufei'"
                        :displayContentTable="displayContentTable"></public-table>
          <public-chart v-else :getWasteGasDetails="getWasteGasDetails"
                        :value="value"
                        :getQueryOnlineMonData="getQueryOnlineMonData"
                        :getWasteWaterMonitoringDetails='getWasteWaterMonitoringDetails'
                        :ManualData="ManualData"
                        ref="PublicChart"
          >
          </public-chart>
        </div>
      </div>
      <div class="public-bounced-content-right" >
        <public-video></public-video>
      </div>
    </div>
  </div>
</template>

<script>

import '@/utils/dragBoxes'
import PublicTabs from '@components/BaseNav/PublicBounced/common/PublicTabs'
import PublicTable from '@components/BaseNav/PublicBounced/common/PublicTable'
import PublicVideo from '@components/BaseNav/PublicBounced/common/PublicVideo'
import PublicChart from './common/PublicChart'

export default {
  name: 'PublicBounced',
  components: {
    PublicTabs,
    PublicTable,
    PublicChart,
    PublicVideo
  },
  data () {
    return {
      displayContentTitle: '',
      displayContentTab: '',
      displayContentTable: '',
      flag: false,
      value: '',
      setWasteGasdata: '',
      setWasteWaterdata: '',
      getWasteGasDetails: [],
      getWasteWaterMonitoringDetails: [],
      getQueryOnlineMonData: [],
      ManualData: []
    }
  },
  beforeUpdate () {
    this.$refs.PublicChart.$refs.Echats.CreateChart()
    this.$refs.PublicChart.$refs.Echats.effChartShow()
  },
  methods: {
    closePopup () {
      this.flag = false
    },
    // 固废相关信息设置
    setData (title, dataBasic, dataDetailed, value) {
      this.flag = true
      this.value = value
      this.displayContentTitle = title
      this.displayContentTab = dataBasic[0]
      this.displayContentTable = dataDetailed[0]
    },
    setGasData (data, dataDetails, GasHourData, ManualData, value) {
      // console.log(this.$refs)
      this.setWasteGasdata = data
      this.getWasteGasDetails = dataDetails
      this.getQueryOnlineMonData = GasHourData
      this.ManualData = ManualData
      // console.log(this.getQueryOnlineMonData)
      this.displayContentTitle = data.Name
      this.flag = true
      this.value = value
    },
    setWaterData (dataWater, detailData, hourData, dateData, value) {
      this.setWasteWaterdata = dataWater
      this.getQueryOnlineMonData = hourData
      this.getWasteWaterMonitoringDetails = detailData
      this.displayContentTitle = dataWater.Name
      this.flag = true
      this.value = value
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  z-index: 2000;
  position: absolute;
  top: 15%;
  left: 20%;

  .public-bounced-title {
    cursor: move;
    height: 0.1rem;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: #C0C4CC;
      margin: 0 15px;
      font-size: 22px;
      cursor: pointer;
    }

    i:hover {
      color: #00fff6;
    }
  }

  .public-bounced-content {
    padding: 0.1rem;
    display: flex;
    //align-items: center;
    //justify-content: space-around;

    .public-bounced-content-left {
      //width: 4.8rem;
    }

    .public-bounced-content-right {
      //width: 3rem;
      margin-left: 0.1rem;
    }
  }
}
</style>
